1# Makefile.in generated by automake 1.15.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \	]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92@MAINTAINER_MODE_TRUE@am__append_1 = except.i
93@DOCUMENTATION_RULES_TRUE@am__append_2 = docs/index.html
94subdir = php
95ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
96am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
97	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
98	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
99	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
100am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
101	$(ACLOCAL_M4)
102DIST_COMMON = $(srcdir)/Makefile.am $(dist_docdata_DATA) \
103	$(dist_exampledata_DATA) $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
109am__vpath_adj = case $$p in \
110    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
111    *) f=$$p;; \
112  esac;
113am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
114am__install_max = 40
115am__nobase_strip_setup = \
116  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
117am__nobase_strip = \
118  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
119am__nobase_list = $(am__nobase_strip_setup); \
120  for p in $$list; do echo "$$p $$p"; done | \
121  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
122  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
123    if (++n[$$2] == $(am__install_max)) \
124      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
125    END { for (dir in files) print dir, files[dir] }'
126am__base_list = \
127  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
128  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
129am__uninstall_files_from_dir = { \
130  test -z "$$files" \
131    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
132    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
133         $(am__cd) "$$dir" && rm -f $$files; }; \
134  }
135am__installdirs = "$(DESTDIR)$(phpextdir)" "$(DESTDIR)$(docdatadir)" \
136	"$(DESTDIR)$(exampledatadir)" "$(DESTDIR)$(phpincdir)"
137LTLIBRARIES = $(phpext_LTLIBRARIES)
138am__DEPENDENCIES_1 =
139xapian_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
140am__dirstamp = $(am__leading_dot)dirstamp
141am_xapian_la_OBJECTS = php5/xapian_wrap.lo
142xapian_la_OBJECTS = $(am_xapian_la_OBJECTS)
143AM_V_lt = $(am__v_lt_@AM_V@)
144am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
145am__v_lt_0 = --silent
146am__v_lt_1 =
147xapian_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
148	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
149	$(CXXFLAGS) $(xapian_la_LDFLAGS) $(LDFLAGS) -o $@
150AM_V_P = $(am__v_P_@AM_V@)
151am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
152am__v_P_0 = false
153am__v_P_1 = :
154AM_V_GEN = $(am__v_GEN_@AM_V@)
155am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
156am__v_GEN_0 = @echo "  GEN     " $@;
157am__v_GEN_1 =
158AM_V_at = $(am__v_at_@AM_V@)
159am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
160am__v_at_0 = @
161am__v_at_1 =
162DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
163depcomp = $(SHELL) $(top_srcdir)/depcomp
164am__depfiles_maybe = depfiles
165am__mv = mv -f
166CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
167	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
168LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
169	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
170	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
171	$(AM_CXXFLAGS) $(CXXFLAGS)
172AM_V_CXX = $(am__v_CXX_@AM_V@)
173am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
174am__v_CXX_0 = @echo "  CXX     " $@;
175am__v_CXX_1 =
176CXXLD = $(CXX)
177CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
178	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
179	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
180AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
181am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
182am__v_CXXLD_0 = @echo "  CXXLD   " $@;
183am__v_CXXLD_1 =
184COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
185	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
186LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
187	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
188	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
189	$(AM_CFLAGS) $(CFLAGS)
190AM_V_CC = $(am__v_CC_@AM_V@)
191am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
192am__v_CC_0 = @echo "  CC      " $@;
193am__v_CC_1 =
194CCLD = $(CC)
195LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
196	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
197	$(AM_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_CCLD = $(am__v_CCLD_@AM_V@)
199am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
200am__v_CCLD_0 = @echo "  CCLD    " $@;
201am__v_CCLD_1 =
202SOURCES = $(xapian_la_SOURCES)
203DIST_SOURCES = $(xapian_la_SOURCES)
204am__can_run_installinfo = \
205  case $$AM_UPDATE_INFO_DIR in \
206    n|no|NO) false;; \
207    *) (install-info --version) >/dev/null 2>&1;; \
208  esac
209DATA = $(dist_docdata_DATA) $(dist_exampledata_DATA) $(phpinc_DATA)
210am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
211# Read a list of newline-separated strings from the standard input,
212# and print each of them once, without duplicates.  Input order is
213# *not* preserved.
214am__uniquify_input = $(AWK) '\
215  BEGIN { nonempty = 0; } \
216  { items[$$0] = 1; nonempty = 1; } \
217  END { if (nonempty) { for (i in items) print i; }; } \
218'
219# Make sure the list of sources is unique.  This is necessary because,
220# e.g., the same source file might be shared among _SOURCES variables
221# for different programs/libraries.
222am__define_uniq_tagged_files = \
223  list='$(am__tagged_files)'; \
224  unique=`for i in $$list; do \
225    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
226  done | $(am__uniquify_input)`
227ETAGS = etags
228CTAGS = ctags
229am__tty_colors_dummy = \
230  mgn= red= grn= lgn= blu= brg= std=; \
231  am__color_tests=no
232am__tty_colors = { \
233  $(am__tty_colors_dummy); \
234  if test "X$(AM_COLOR_TESTS)" = Xno; then \
235    am__color_tests=no; \
236  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
237    am__color_tests=yes; \
238  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
239    am__color_tests=yes; \
240  fi; \
241  if test $$am__color_tests = yes; then \
242    red=''; \
243    grn=''; \
244    lgn=''; \
245    blu=''; \
246    mgn=''; \
247    brg=''; \
248    std=''; \
249  fi; \
250}
251am__recheck_rx = ^[ 	]*:recheck:[ 	]*
252am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
253am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
254# A command that, given a newline-separated list of test names on the
255# standard input, print the name of the tests that are to be re-run
256# upon "make recheck".
257am__list_recheck_tests = $(AWK) '{ \
258  recheck = 1; \
259  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
260    { \
261      if (rc < 0) \
262        { \
263          if ((getline line2 < ($$0 ".log")) < 0) \
264	    recheck = 0; \
265          break; \
266        } \
267      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
268        { \
269          recheck = 0; \
270          break; \
271        } \
272      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
273        { \
274          break; \
275        } \
276    }; \
277  if (recheck) \
278    print $$0; \
279  close ($$0 ".trs"); \
280  close ($$0 ".log"); \
281}'
282# A command that, given a newline-separated list of test names on the
283# standard input, create the global log from their .trs and .log files.
284am__create_global_log = $(AWK) ' \
285function fatal(msg) \
286{ \
287  print "fatal: making $@: " msg | "cat >&2"; \
288  exit 1; \
289} \
290function rst_section(header) \
291{ \
292  print header; \
293  len = length(header); \
294  for (i = 1; i <= len; i = i + 1) \
295    printf "="; \
296  printf "\n\n"; \
297} \
298{ \
299  copy_in_global_log = 1; \
300  global_test_result = "RUN"; \
301  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
302    { \
303      if (rc < 0) \
304         fatal("failed to read from " $$0 ".trs"); \
305      if (line ~ /$(am__global_test_result_rx)/) \
306        { \
307          sub("$(am__global_test_result_rx)", "", line); \
308          sub("[ 	]*$$", "", line); \
309          global_test_result = line; \
310        } \
311      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
312        copy_in_global_log = 0; \
313    }; \
314  if (copy_in_global_log) \
315    { \
316      rst_section(global_test_result ": " $$0); \
317      while ((rc = (getline line < ($$0 ".log"))) != 0) \
318      { \
319        if (rc < 0) \
320          fatal("failed to read from " $$0 ".log"); \
321        print line; \
322      }; \
323      printf "\n"; \
324    }; \
325  close ($$0 ".trs"); \
326  close ($$0 ".log"); \
327}'
328# Restructured Text title.
329am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
330# Solaris 10 'make', and several other traditional 'make' implementations,
331# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
332# by disabling -e (using the XSI extension "set +e") if it's set.
333am__sh_e_setup = case $$- in *e*) set +e;; esac
334# Default flags passed to test drivers.
335am__common_driver_flags = \
336  --color-tests "$$am__color_tests" \
337  --enable-hard-errors "$$am__enable_hard_errors" \
338  --expect-failure "$$am__expect_failure"
339# To be inserted before the command running the test.  Creates the
340# directory for the log if needed.  Stores in $dir the directory
341# containing $f, in $tst the test, in $log the log.  Executes the
342# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
343# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
344# will run the test scripts (or their associated LOG_COMPILER, if
345# thy have one).
346am__check_pre = \
347$(am__sh_e_setup);					\
348$(am__vpath_adj_setup) $(am__vpath_adj)			\
349$(am__tty_colors);					\
350srcdir=$(srcdir); export srcdir;			\
351case "$@" in						\
352  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
353    *) am__odir=.;; 					\
354esac;							\
355test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
356  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
357if test -f "./$$f"; then dir=./;			\
358elif test -f "$$f"; then dir=;				\
359else dir="$(srcdir)/"; fi;				\
360tst=$$dir$$f; log='$@'; 				\
361if test -n '$(DISABLE_HARD_ERRORS)'; then		\
362  am__enable_hard_errors=no; 				\
363else							\
364  am__enable_hard_errors=yes; 				\
365fi; 							\
366case " $(XFAIL_TESTS) " in				\
367  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
368    am__expect_failure=yes;;				\
369  *)							\
370    am__expect_failure=no;;				\
371esac; 							\
372$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
373# A shell command to get the names of the tests scripts with any registered
374# extension removed (i.e., equivalently, the names of the test logs, with
375# the '.log' extension removed).  The result is saved in the shell variable
376# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
377# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
378# since that might cause problem with VPATH rewrites for suffix-less tests.
379# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
380am__set_TESTS_bases = \
381  bases='$(TEST_LOGS)'; \
382  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
383  bases=`echo $$bases`
384RECHECK_LOGS = $(TEST_LOGS)
385AM_RECURSIVE_TARGETS = check recheck
386TEST_SUITE_LOG = test-suite.log
387TEST_EXTENSIONS = @EXEEXT@ .test
388LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
389LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
390am__set_b = \
391  case '$@' in \
392    */*) \
393      case '$*' in \
394        */*) b='$*';; \
395          *) b=`echo '$@' | sed 's/\.log$$//'`; \
396       esac;; \
397    *) \
398      b='$*';; \
399  esac
400am__test_logs1 = $(TESTS:=.log)
401am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
402TEST_LOGS = $(am__test_logs2:.test.log=.log)
403TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
404TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
405	$(TEST_LOG_FLAGS)
406am__DIST_COMMON = $(srcdir)/../generic/generic.mk \
407	$(srcdir)/Makefile.in $(top_srcdir)/depcomp \
408	$(top_srcdir)/test-driver
409DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
410ACLOCAL = @ACLOCAL@
411AMTAR = @AMTAR@
412AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
413AR = @AR@
414AUTOCONF = @AUTOCONF@
415AUTOHEADER = @AUTOHEADER@
416AUTOM4TE = @AUTOM4TE@
417AUTOMAKE = @AUTOMAKE@
418AWK = @AWK@
419BINDINGS = @BINDINGS@
420CC = @CC@
421CCDEPMODE = @CCDEPMODE@
422CFLAGS = @CFLAGS@
423CLI = @CLI@
424COMPAT_VERSION = @COMPAT_VERSION@
425CPP = @CPP@
426CPPFLAGS = @CPPFLAGS@
427CSC = @CSC@
428CXX = @CXX@
429CXXCPP = @CXXCPP@
430CXXDEPMODE = @CXXDEPMODE@
431CXXFLAGS = @CXXFLAGS@
432CYGPATH_W = @CYGPATH_W@
433DEFS = @DEFS@
434DEPDIR = @DEPDIR@
435DLLTOOL = @DLLTOOL@
436DOXYGEN = @DOXYGEN@
437DSYMUTIL = @DSYMUTIL@
438DUMPBIN = @DUMPBIN@
439ECHO_C = @ECHO_C@
440ECHO_N = @ECHO_N@
441ECHO_T = @ECHO_T@
442EGREP = @EGREP@
443EXEEXT = @EXEEXT@
444FGREP = @FGREP@
445GACUTIL = @GACUTIL@
446GACUTIL_FLAGS = @GACUTIL_FLAGS@
447GREP = @GREP@
448HAVE_CXX11 = @HAVE_CXX11@
449INSTALL = @INSTALL@
450INSTALL_DATA = @INSTALL_DATA@
451INSTALL_PROGRAM = @INSTALL_PROGRAM@
452INSTALL_SCRIPT = @INSTALL_SCRIPT@
453INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
454INTREE_DYLD_PATH = @INTREE_DYLD_PATH@
455JAR = @JAR@
456JAVA = @JAVA@
457JAVAC = @JAVAC@
458JAVA_CHECK_JNI_OPTION = @JAVA_CHECK_JNI_OPTION@
459JAVA_CPPFLAGS = @JAVA_CPPFLAGS@
460JAVA_HOME = @JAVA_HOME@
461JAVA_PATHSEP = @JAVA_PATHSEP@
462JDK_HOME = @JDK_HOME@
463JNI_INCLUDE_DIR = @JNI_INCLUDE_DIR@
464LD = @LD@
465LDFLAGS = @LDFLAGS@
466LIBOBJS = @LIBOBJS@
467LIBS = @LIBS@
468LIBTOOL = @LIBTOOL@
469LIPO = @LIPO@
470LN_S = @LN_S@
471LTLIBOBJS = @LTLIBOBJS@
472LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
473LUA = @LUA@
474LUA_CPPFLAGS = @LUA_CPPFLAGS@
475LUA_INC = @LUA_INC@
476LUA_LIB = @LUA_LIB@
477LUA_SO = @LUA_SO@
478MAINT = @MAINT@
479MAKEINFO = @MAKEINFO@
480MANIFEST_TOOL = @MANIFEST_TOOL@
481MKDIR_P = @MKDIR_P@
482NM = @NM@
483NMEDIT = @NMEDIT@
484NO_UNDEFINED = @NO_UNDEFINED@
485OBJDUMP = @OBJDUMP@
486OBJEXT = @OBJEXT@
487OTOOL = @OTOOL@
488OTOOL64 = @OTOOL64@
489OVERRIDE_MACOSX_DEPLOYMENT_TARGET = @OVERRIDE_MACOSX_DEPLOYMENT_TARGET@
490PACKAGE = @PACKAGE@
491PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
492PACKAGE_NAME = @PACKAGE_NAME@
493PACKAGE_STRING = @PACKAGE_STRING@
494PACKAGE_TARNAME = @PACKAGE_TARNAME@
495PACKAGE_URL = @PACKAGE_URL@
496PACKAGE_VERSION = @PACKAGE_VERSION@
497PATH_SEPARATOR = @PATH_SEPARATOR@
498PERL = @PERL@
499PERL_ARCH = @PERL_ARCH@
500PERL_INC = @PERL_INC@
501PERL_LIB = @PERL_LIB@
502PERL_SO = @PERL_SO@
503PERL_XAPIAN_VERSION = @PERL_XAPIAN_VERSION@
504PHP = @PHP@
505PHP7 = @PHP7@
506PHP7_EXTENSION_DIR = @PHP7_EXTENSION_DIR@
507PHP7_INC = @PHP7_INC@
508PHP7_LIBS = @PHP7_LIBS@
509PHP7_MAJOR_VERSION = @PHP7_MAJOR_VERSION@
510PHP7_PATH_SEPARATOR = @PHP7_PATH_SEPARATOR@
511PHP_CONFIG = @PHP_CONFIG@
512PHP_CONFIG7 = @PHP_CONFIG7@
513PHP_EXTENSION_DIR = @PHP_EXTENSION_DIR@
514PHP_INC = @PHP_INC@
515PHP_LIBS = @PHP_LIBS@
516PHP_MAJOR_VERSION = @PHP_MAJOR_VERSION@
517PHP_PATH_SEPARATOR = @PHP_PATH_SEPARATOR@
518PYTHON = @PYTHON@
519PYTHON2 = @PYTHON2@
520PYTHON2_INC = @PYTHON2_INC@
521PYTHON2_LIB = @PYTHON2_LIB@
522PYTHON2_LIBS = @PYTHON2_LIBS@
523PYTHON2_SO = @PYTHON2_SO@
524PYTHON3 = @PYTHON3@
525PYTHON3_CACHE_OPT1_EXT = @PYTHON3_CACHE_OPT1_EXT@
526PYTHON3_CACHE_TAG = @PYTHON3_CACHE_TAG@
527PYTHON3_INC = @PYTHON3_INC@
528PYTHON3_LIB = @PYTHON3_LIB@
529PYTHON3_LIBS = @PYTHON3_LIBS@
530PYTHON3_SO = @PYTHON3_SO@
531RANLIB = @RANLIB@
532RDOC = @RDOC@
533RST2HTML = @RST2HTML@
534RUBY = @RUBY@
535RUBY_DLEXT = @RUBY_DLEXT@
536RUBY_INC = @RUBY_INC@
537RUBY_INC_ARCH = @RUBY_INC_ARCH@
538RUBY_LIB = @RUBY_LIB@
539RUBY_LIBS = @RUBY_LIBS@
540RUBY_LIB_ARCH = @RUBY_LIB_ARCH@
541RUN_CSHARP = @RUN_CSHARP@
542SED = @SED@
543SET_MAKE = @SET_MAKE@
544SHELL = @SHELL@
545SN = @SN@
546STRIP = @STRIP@
547SWIG = @SWIG@
548SWIG_CXXFLAGS = @SWIG_CXXFLAGS@
549SWIG_FLAGS = @SWIG_FLAGS@
550TCLSH = @TCLSH@
551TCL_CPPFLAGS = @TCL_CPPFLAGS@
552TCL_INC = @TCL_INC@
553TCL_LIB = @TCL_LIB@
554TCL_LIBS = @TCL_LIBS@
555THREAD_LOCAL = @THREAD_LOCAL@
556VERSION = @VERSION@
557VERSION_NO_SNAPSHOT = @VERSION_NO_SNAPSHOT@
558XAPIAN_CONFIG = @XAPIAN_CONFIG@
559XAPIAN_CXXFLAGS = @XAPIAN_CXXFLAGS@
560XAPIAN_HEADERS = @XAPIAN_HEADERS@
561XAPIAN_HEADER_DIRS = @XAPIAN_HEADER_DIRS@
562XAPIAN_LIBS = @XAPIAN_LIBS@
563XAPIAN_VERSION = @XAPIAN_VERSION@
564abs_builddir = @abs_builddir@
565abs_srcdir = @abs_srcdir@
566abs_top_builddir = @abs_top_builddir@
567abs_top_srcdir = @abs_top_srcdir@
568ac_ct_AR = @ac_ct_AR@
569ac_ct_CC = @ac_ct_CC@
570ac_ct_CXX = @ac_ct_CXX@
571ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
572am__include = @am__include@
573am__leading_dot = @am__leading_dot@
574am__quote = @am__quote@
575am__tar = @am__tar@
576am__untar = @am__untar@
577bindir = @bindir@
578build = @build@
579build_alias = @build_alias@
580build_cpu = @build_cpu@
581build_os = @build_os@
582build_vendor = @build_vendor@
583builddir = @builddir@
584datadir = @datadir@
585datarootdir = @datarootdir@
586docdir = @docdir@
587dvidir = @dvidir@
588exec_prefix = @exec_prefix@
589host = @host@
590host_alias = @host_alias@
591host_cpu = @host_cpu@
592host_os = @host_os@
593host_vendor = @host_vendor@
594htmldir = @htmldir@
595includedir = @includedir@
596infodir = @infodir@
597install_sh = @install_sh@
598libdir = @libdir@
599libexecdir = @libexecdir@
600localedir = @localedir@
601localstatedir = @localstatedir@
602mandir = @mandir@
603mkdir_p = @mkdir_p@
604oldincludedir = @oldincludedir@
605pdfdir = @pdfdir@
606prefix = @prefix@
607program_transform_name = @program_transform_name@
608psdir = @psdir@
609sbindir = @sbindir@
610sharedstatedir = @sharedstatedir@
611srcdir = @srcdir@
612sysconfdir = @sysconfdir@
613target_alias = @target_alias@
614top_build_prefix = @top_build_prefix@
615top_builddir = @top_builddir@
616top_srcdir = @top_srcdir@
617
618# Define separately to allow overriding easily with: make SWIG_WERROR=
619SWIG_WERROR = -Werror
620
621# Recover from the removal of $@.  A full explanation of this is in the
622# automake manual under the heading "Multiple Outputs".
623make_many_locked = \
624@if test -f $@; then :; else \
625  trap 'rm -rf "$(stamp)-lck" "$(stamp)"' 1 2 13 15; \
626  if mkdir '$(stamp)-lck' 2>/dev/null; then \
627    rm -f '$(stamp)'; \
628    $(MAKE) $(AM_MAKEFLAGS) '$(stamp)'; \
629    result=$$?; rm -rf '$(stamp)-lck'; exit $$result; \
630  else \
631    while test -d '$(stamp)-lck'; do sleep 1; done; \
632    test -f '$(stamp)'; \
633  fi; \
634fi
635
636multitarget_begin = @rm -f $@-t; touch $@-t
637multitarget_end = @mv -f $@-t $@
638TESTS = smoketest.php
639LOG_COMPILER = \
640    $(LIBTOOL) -dlopen xapian.la --mode=execute $(OSX_SIP_HACK_ENV) $(PHP)
641
642# Use -n to disable use of the system php.ini to avoid custom configuration
643# settings there which might interfere with our tests.
644AM_LOG_FLAGS = -n -d extension_dir='$(abs_builddir)/.libs' -d extension=xapian \
645	-d include_path='php5$(PHP_PATH_SEPARATOR)$(srcdir)/php5'
646
647SWIG_GENERATED = \
648	php5/xapian_wrap.cc\
649	php5/xapian_wrap.h\
650	php5/php_xapian.h\
651	php5/xapian.php
652
653EXTRA_DIST = php.i except.i \
654	generate-php-exceptions \
655	add-php-ref-handling \
656	add-php-type-hints \
657	docs/index.rst \
658	$(TESTS) $(SWIG_GENERATED)
659
660BUILT_SOURCES = $(SWIG_GENERATED) $(am__append_1) $(am__append_2)
661phpextdir = $(PHP_EXTENSION_DIR)
662phpext_LTLIBRARIES = xapian.la
663
664# This location is correct for Debian, but in general there doesn't seem
665# to be a suitable location which is guaranteed to be in the include_path
666# by default.
667phpincdir = $(datadir)/php$(PHP_MAJOR_VERSION)
668phpinc_DATA = php5/xapian.php
669AM_CPPFLAGS = $(PHP_INC)
670AM_CXXFLAGS = $(SWIG_CXXFLAGS) $(XAPIAN_CXXFLAGS)
671xapian_la_LDFLAGS = -avoid-version -module $(NO_UNDEFINED)
672xapian_la_SOURCES = php5/xapian_wrap.cc php5/xapian_wrap.h
673xapian_la_LIBADD = $(XAPIAN_LIBS) $(PHP_LIBS)
674
675# We need to explicitly set -outdir because on Windows, SWIG splits paths at
676# "\" when extracting the output directory from the value passed to the -o
677# option.
678@MAINTAINER_MODE_TRUE@stamp = php5/xapian_wrap.stamp
679@MAINTAINER_MODE_TRUE@RUN_SWIG = stamp='$(stamp)' $(PERL) '$(top_srcdir)'/swig-depcomp $(SWIG)
680@MAINTAINER_MODE_TRUE@CLEANFILES = $(stamp)
681MAINTAINERCLEANFILES = $(BUILT_SOURCES)
682exampledatadir = $(docdir)/php/examples
683dist_exampledata_DATA = \
684	docs/examples/simplesearch.php5\
685	docs/examples/simpleindex.php5\
686	docs/examples/simpleexpand.php5\
687	docs/examples/simplematchdecider.php5
688
689docdatadir = $(docdir)/php
690dist_docdata_DATA = docs/index.html
691all: $(BUILT_SOURCES)
692	$(MAKE) $(AM_MAKEFLAGS) all-am
693
694.SUFFIXES:
695.SUFFIXES: .cc .html .lo .log .o .obj .rst .test .test$(EXEEXT) .trs
696$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../generic/generic.mk $(am__configure_deps)
697	@for dep in $?; do \
698	  case '$(am__configure_deps)' in \
699	    *$$dep*) \
700	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
701	        && { if test -f $@; then exit 0; else break; fi; }; \
702	      exit 1;; \
703	  esac; \
704	done; \
705	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu php/Makefile'; \
706	$(am__cd) $(top_srcdir) && \
707	  $(AUTOMAKE) --gnu php/Makefile
708Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
709	@case '$?' in \
710	  *config.status*) \
711	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
712	  *) \
713	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
714	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
715	esac;
716$(srcdir)/../generic/generic.mk $(am__empty):
717
718$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
719	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
720
721$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
722	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
724	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
725$(am__aclocal_m4_deps):
726
727install-phpextLTLIBRARIES: $(phpext_LTLIBRARIES)
728	@$(NORMAL_INSTALL)
729	@list='$(phpext_LTLIBRARIES)'; test -n "$(phpextdir)" || list=; \
730	list2=; for p in $$list; do \
731	  if test -f $$p; then \
732	    list2="$$list2 $$p"; \
733	  else :; fi; \
734	done; \
735	test -z "$$list2" || { \
736	  echo " $(MKDIR_P) '$(DESTDIR)$(phpextdir)'"; \
737	  $(MKDIR_P) "$(DESTDIR)$(phpextdir)" || exit 1; \
738	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(phpextdir)'"; \
739	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(phpextdir)"; \
740	}
741
742uninstall-phpextLTLIBRARIES:
743	@$(NORMAL_UNINSTALL)
744	@list='$(phpext_LTLIBRARIES)'; test -n "$(phpextdir)" || list=; \
745	for p in $$list; do \
746	  $(am__strip_dir) \
747	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(phpextdir)/$$f'"; \
748	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(phpextdir)/$$f"; \
749	done
750
751clean-phpextLTLIBRARIES:
752	-test -z "$(phpext_LTLIBRARIES)" || rm -f $(phpext_LTLIBRARIES)
753	@list='$(phpext_LTLIBRARIES)'; \
754	locs=`for p in $$list; do echo $$p; done | \
755	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
756	      sort -u`; \
757	test -z "$$locs" || { \
758	  echo rm -f $${locs}; \
759	  rm -f $${locs}; \
760	}
761php5/$(am__dirstamp):
762	@$(MKDIR_P) php5
763	@: > php5/$(am__dirstamp)
764php5/$(DEPDIR)/$(am__dirstamp):
765	@$(MKDIR_P) php5/$(DEPDIR)
766	@: > php5/$(DEPDIR)/$(am__dirstamp)
767php5/xapian_wrap.lo: php5/$(am__dirstamp) \
768	php5/$(DEPDIR)/$(am__dirstamp)
769
770xapian.la: $(xapian_la_OBJECTS) $(xapian_la_DEPENDENCIES) $(EXTRA_xapian_la_DEPENDENCIES)
771	$(AM_V_CXXLD)$(xapian_la_LINK) -rpath $(phpextdir) $(xapian_la_OBJECTS) $(xapian_la_LIBADD) $(LIBS)
772
773mostlyclean-compile:
774	-rm -f *.$(OBJEXT)
775	-rm -f php5/*.$(OBJEXT)
776	-rm -f php5/*.lo
777
778distclean-compile:
779	-rm -f *.tab.c
780
781@AMDEP_TRUE@@am__include@ @am__quote@php5/$(DEPDIR)/xapian_wrap.Plo@am__quote@
782
783.cc.o:
784@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
785@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
786@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
787@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
788@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
789@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
790
791.cc.obj:
792@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
793@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
794@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
795@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
796@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
797@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
798
799.cc.lo:
800@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
801@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
802@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
803@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
804@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
805@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
806
807mostlyclean-libtool:
808	-rm -f *.lo
809
810clean-libtool:
811	-rm -rf .libs _libs
812	-rm -rf php5/.libs php5/_libs
813install-dist_docdataDATA: $(dist_docdata_DATA)
814	@$(NORMAL_INSTALL)
815	@list='$(dist_docdata_DATA)'; test -n "$(docdatadir)" || list=; \
816	if test -n "$$list"; then \
817	  echo " $(MKDIR_P) '$(DESTDIR)$(docdatadir)'"; \
818	  $(MKDIR_P) "$(DESTDIR)$(docdatadir)" || exit 1; \
819	fi; \
820	for p in $$list; do \
821	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
822	  echo "$$d$$p"; \
823	done | $(am__base_list) | \
824	while read files; do \
825	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdatadir)'"; \
826	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdatadir)" || exit $$?; \
827	done
828
829uninstall-dist_docdataDATA:
830	@$(NORMAL_UNINSTALL)
831	@list='$(dist_docdata_DATA)'; test -n "$(docdatadir)" || list=; \
832	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
833	dir='$(DESTDIR)$(docdatadir)'; $(am__uninstall_files_from_dir)
834install-dist_exampledataDATA: $(dist_exampledata_DATA)
835	@$(NORMAL_INSTALL)
836	@list='$(dist_exampledata_DATA)'; test -n "$(exampledatadir)" || list=; \
837	if test -n "$$list"; then \
838	  echo " $(MKDIR_P) '$(DESTDIR)$(exampledatadir)'"; \
839	  $(MKDIR_P) "$(DESTDIR)$(exampledatadir)" || exit 1; \
840	fi; \
841	for p in $$list; do \
842	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
843	  echo "$$d$$p"; \
844	done | $(am__base_list) | \
845	while read files; do \
846	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(exampledatadir)'"; \
847	  $(INSTALL_DATA) $$files "$(DESTDIR)$(exampledatadir)" || exit $$?; \
848	done
849
850uninstall-dist_exampledataDATA:
851	@$(NORMAL_UNINSTALL)
852	@list='$(dist_exampledata_DATA)'; test -n "$(exampledatadir)" || list=; \
853	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
854	dir='$(DESTDIR)$(exampledatadir)'; $(am__uninstall_files_from_dir)
855install-phpincDATA: $(phpinc_DATA)
856	@$(NORMAL_INSTALL)
857	@list='$(phpinc_DATA)'; test -n "$(phpincdir)" || list=; \
858	if test -n "$$list"; then \
859	  echo " $(MKDIR_P) '$(DESTDIR)$(phpincdir)'"; \
860	  $(MKDIR_P) "$(DESTDIR)$(phpincdir)" || exit 1; \
861	fi; \
862	for p in $$list; do \
863	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
864	  echo "$$d$$p"; \
865	done | $(am__base_list) | \
866	while read files; do \
867	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(phpincdir)'"; \
868	  $(INSTALL_DATA) $$files "$(DESTDIR)$(phpincdir)" || exit $$?; \
869	done
870
871uninstall-phpincDATA:
872	@$(NORMAL_UNINSTALL)
873	@list='$(phpinc_DATA)'; test -n "$(phpincdir)" || list=; \
874	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
875	dir='$(DESTDIR)$(phpincdir)'; $(am__uninstall_files_from_dir)
876
877ID: $(am__tagged_files)
878	$(am__define_uniq_tagged_files); mkid -fID $$unique
879tags: tags-am
880TAGS: tags
881
882tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
883	set x; \
884	here=`pwd`; \
885	$(am__define_uniq_tagged_files); \
886	shift; \
887	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
888	  test -n "$$unique" || unique=$$empty_fix; \
889	  if test $$# -gt 0; then \
890	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
891	      "$$@" $$unique; \
892	  else \
893	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
894	      $$unique; \
895	  fi; \
896	fi
897ctags: ctags-am
898
899CTAGS: ctags
900ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
901	$(am__define_uniq_tagged_files); \
902	test -z "$(CTAGS_ARGS)$$unique" \
903	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
904	     $$unique
905
906GTAGS:
907	here=`$(am__cd) $(top_builddir) && pwd` \
908	  && $(am__cd) $(top_srcdir) \
909	  && gtags -i $(GTAGS_ARGS) "$$here"
910cscopelist: cscopelist-am
911
912cscopelist-am: $(am__tagged_files)
913	list='$(am__tagged_files)'; \
914	case "$(srcdir)" in \
915	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
916	  *) sdir=$(subdir)/$(srcdir) ;; \
917	esac; \
918	for i in $$list; do \
919	  if test -f "$$i"; then \
920	    echo "$(subdir)/$$i"; \
921	  else \
922	    echo "$$sdir/$$i"; \
923	  fi; \
924	done >> $(top_builddir)/cscope.files
925
926distclean-tags:
927	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
928
929# Recover from deleted '.trs' file; this should ensure that
930# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
931# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
932# to avoid problems with "make -n".
933.log.trs:
934	rm -f $< $@
935	$(MAKE) $(AM_MAKEFLAGS) $<
936
937# Leading 'am--fnord' is there to ensure the list of targets does not
938# expand to empty, as could happen e.g. with make check TESTS=''.
939am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
940am--force-recheck:
941	@:
942
943$(TEST_SUITE_LOG): $(TEST_LOGS)
944	@$(am__set_TESTS_bases); \
945	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
946	redo_bases=`for i in $$bases; do \
947	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
948	            done`; \
949	if test -n "$$redo_bases"; then \
950	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
951	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
952	  if $(am__make_dryrun); then :; else \
953	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
954	  fi; \
955	fi; \
956	if test -n "$$am__remaking_logs"; then \
957	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
958	       "recursion detected" >&2; \
959	elif test -n "$$redo_logs"; then \
960	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
961	fi; \
962	if $(am__make_dryrun); then :; else \
963	  st=0;  \
964	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
965	  for i in $$redo_bases; do \
966	    test -f $$i.trs && test -r $$i.trs \
967	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
968	    test -f $$i.log && test -r $$i.log \
969	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
970	  done; \
971	  test $$st -eq 0 || exit 1; \
972	fi
973	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
974	ws='[ 	]'; \
975	results=`for b in $$bases; do echo $$b.trs; done`; \
976	test -n "$$results" || results=/dev/null; \
977	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
978	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
979	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
980	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
981	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
982	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
983	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
984	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
985	  success=true; \
986	else \
987	  success=false; \
988	fi; \
989	br='==================='; br=$$br$$br$$br$$br; \
990	result_count () \
991	{ \
992	    if test x"$$1" = x"--maybe-color"; then \
993	      maybe_colorize=yes; \
994	    elif test x"$$1" = x"--no-color"; then \
995	      maybe_colorize=no; \
996	    else \
997	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
998	    fi; \
999	    shift; \
1000	    desc=$$1 count=$$2; \
1001	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1002	      color_start=$$3 color_end=$$std; \
1003	    else \
1004	      color_start= color_end=; \
1005	    fi; \
1006	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1007	}; \
1008	create_testsuite_report () \
1009	{ \
1010	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1011	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1012	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1013	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1014	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1015	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1016	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1017	}; \
1018	{								\
1019	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1020	    $(am__rst_title);						\
1021	  create_testsuite_report --no-color;				\
1022	  echo;								\
1023	  echo ".. contents:: :depth: 2";				\
1024	  echo;								\
1025	  for b in $$bases; do echo $$b; done				\
1026	    | $(am__create_global_log);					\
1027	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1028	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1029	if $$success; then						\
1030	  col="$$grn";							\
1031	 else								\
1032	  col="$$red";							\
1033	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1034	fi;								\
1035	echo "$${col}$$br$${std}"; 					\
1036	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1037	echo "$${col}$$br$${std}"; 					\
1038	create_testsuite_report --maybe-color;				\
1039	echo "$$col$$br$$std";						\
1040	if $$success; then :; else					\
1041	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1042	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1043	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1044	  fi;								\
1045	  echo "$$col$$br$$std";					\
1046	fi;								\
1047	$$success || exit 1
1048
1049check-TESTS:
1050	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1051	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1052	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1053	@set +e; $(am__set_TESTS_bases); \
1054	log_list=`for i in $$bases; do echo $$i.log; done`; \
1055	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1056	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1057	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1058	exit $$?;
1059recheck: all
1060	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1061	@set +e; $(am__set_TESTS_bases); \
1062	bases=`for i in $$bases; do echo $$i; done \
1063	         | $(am__list_recheck_tests)` || exit 1; \
1064	log_list=`for i in $$bases; do echo $$i.log; done`; \
1065	log_list=`echo $$log_list`; \
1066	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1067	        am__force_recheck=am--force-recheck \
1068	        TEST_LOGS="$$log_list"; \
1069	exit $$?
1070smoketest.php.log: smoketest.php
1071	@p='smoketest.php'; \
1072	b='smoketest.php'; \
1073	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1074	--log-file $$b.log --trs-file $$b.trs \
1075	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1076	"$$tst" $(AM_TESTS_FD_REDIRECT)
1077.test.log:
1078	@p='$<'; \
1079	$(am__set_b); \
1080	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1081	--log-file $$b.log --trs-file $$b.trs \
1082	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1083	"$$tst" $(AM_TESTS_FD_REDIRECT)
1084@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1085@am__EXEEXT_TRUE@	@p='$<'; \
1086@am__EXEEXT_TRUE@	$(am__set_b); \
1087@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1088@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1089@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1090@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1091
1092distdir: $(DISTFILES)
1093	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1094	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1095	list='$(DISTFILES)'; \
1096	  dist_files=`for file in $$list; do echo $$file; done | \
1097	  sed -e "s|^$$srcdirstrip/||;t" \
1098	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1099	case $$dist_files in \
1100	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1101			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1102			   sort -u` ;; \
1103	esac; \
1104	for file in $$dist_files; do \
1105	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1106	  if test -d $$d/$$file; then \
1107	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1108	    if test -d "$(distdir)/$$file"; then \
1109	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1110	    fi; \
1111	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1112	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1113	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1114	    fi; \
1115	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1116	  else \
1117	    test -f "$(distdir)/$$file" \
1118	    || cp -p $$d/$$file "$(distdir)/$$file" \
1119	    || exit 1; \
1120	  fi; \
1121	done
1122check-am: all-am
1123	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1124check: $(BUILT_SOURCES)
1125	$(MAKE) $(AM_MAKEFLAGS) check-am
1126all-am: Makefile $(LTLIBRARIES) $(DATA)
1127installdirs:
1128	for dir in "$(DESTDIR)$(phpextdir)" "$(DESTDIR)$(docdatadir)" "$(DESTDIR)$(exampledatadir)" "$(DESTDIR)$(phpincdir)"; do \
1129	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1130	done
1131install: $(BUILT_SOURCES)
1132	$(MAKE) $(AM_MAKEFLAGS) install-am
1133install-exec: install-exec-am
1134install-data: install-data-am
1135uninstall: uninstall-am
1136
1137install-am: all-am
1138	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1139
1140installcheck: installcheck-am
1141install-strip:
1142	if test -z '$(STRIP)'; then \
1143	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1144	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1145	      install; \
1146	else \
1147	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1148	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1149	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1150	fi
1151mostlyclean-generic:
1152	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1153	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1154	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1155
1156clean-generic:
1157	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1158
1159distclean-generic:
1160	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1161	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1162	-rm -f php5/$(DEPDIR)/$(am__dirstamp)
1163	-rm -f php5/$(am__dirstamp)
1164
1165maintainer-clean-generic:
1166	@echo "This command is intended for maintainers to use"
1167	@echo "it deletes files that may require special tools to rebuild."
1168	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1169	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1170clean: clean-am
1171
1172clean-am: clean-generic clean-libtool clean-phpextLTLIBRARIES \
1173	mostlyclean-am
1174
1175distclean: distclean-am
1176	-rm -rf php5/$(DEPDIR)
1177	-rm -f Makefile
1178distclean-am: clean-am distclean-compile distclean-generic \
1179	distclean-tags
1180
1181dvi: dvi-am
1182
1183dvi-am:
1184
1185html: html-am
1186
1187html-am:
1188
1189info: info-am
1190
1191info-am:
1192
1193install-data-am: install-dist_docdataDATA install-dist_exampledataDATA \
1194	install-phpextLTLIBRARIES install-phpincDATA
1195	@$(NORMAL_INSTALL)
1196	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
1197install-dvi: install-dvi-am
1198
1199install-dvi-am:
1200
1201install-exec-am:
1202
1203install-html: install-html-am
1204
1205install-html-am:
1206
1207install-info: install-info-am
1208
1209install-info-am:
1210
1211install-man:
1212
1213install-pdf: install-pdf-am
1214
1215install-pdf-am:
1216
1217install-ps: install-ps-am
1218
1219install-ps-am:
1220
1221installcheck-am: installcheck-local
1222
1223maintainer-clean: maintainer-clean-am
1224	-rm -rf php5/$(DEPDIR)
1225	-rm -f Makefile
1226maintainer-clean-am: distclean-am maintainer-clean-generic
1227
1228mostlyclean: mostlyclean-am
1229
1230mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1231	mostlyclean-libtool
1232
1233pdf: pdf-am
1234
1235pdf-am:
1236
1237ps: ps-am
1238
1239ps-am:
1240
1241uninstall-am: uninstall-dist_docdataDATA \
1242	uninstall-dist_exampledataDATA uninstall-local \
1243	uninstall-phpextLTLIBRARIES uninstall-phpincDATA
1244
1245.MAKE: all check check-am install install-am install-data-am \
1246	install-strip
1247
1248.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1249	clean-generic clean-libtool clean-phpextLTLIBRARIES \
1250	cscopelist-am ctags ctags-am distclean distclean-compile \
1251	distclean-generic distclean-libtool distclean-tags distdir dvi \
1252	dvi-am html html-am info info-am install install-am \
1253	install-data install-data-am install-data-hook \
1254	install-dist_docdataDATA install-dist_exampledataDATA \
1255	install-dvi install-dvi-am install-exec install-exec-am \
1256	install-html install-html-am install-info install-info-am \
1257	install-man install-pdf install-pdf-am \
1258	install-phpextLTLIBRARIES install-phpincDATA install-ps \
1259	install-ps-am install-strip installcheck installcheck-am \
1260	installcheck-local installdirs maintainer-clean \
1261	maintainer-clean-generic mostlyclean mostlyclean-compile \
1262	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1263	recheck tags tags-am uninstall uninstall-am \
1264	uninstall-dist_docdataDATA uninstall-dist_exampledataDATA \
1265	uninstall-local uninstall-phpextLTLIBRARIES \
1266	uninstall-phpincDATA
1267
1268.PRECIOUS: Makefile
1269
1270
1271# Export these so that we run the locally installed autotools when building
1272# from a bootstrapped git tree.
1273@MAINTAINER_MODE_TRUE@export ACLOCAL AUTOCONF AUTOHEADER AUTOM4TE AUTOMAKE
1274
1275# This is a hack for Mac OS X to work around "System Integrity Protection"
1276# which strips DYLD_* variables from the environment when running binaries
1277# in system bin directories.  This totally breaks running in-tree tests
1278# against system interpreters (e.g. /usr/bin/python), but even for an
1279# interpreter installed elsewhere we need to take special care because
1280# /bin/sh is also affected.  The trick we use is to define a variable
1281# which expands to the code needed to set DYLD_LIBRARY_PATH and inject
1282# this right when we run the interpreter.
1283@NEED_INTREE_DYLD_TRUE@export OSX_SIP_HACK_ENV=env DYLD_LIBRARY_PATH=$(INTREE_DYLD_PATH)
1284
1285# This requires GNU make, but apparently that's the default on OS X.
1286@OVERRIDE_MACOSX_DEPLOYMENT_TARGET_TRUE@export MACOSX_DEPLOYMENT_TARGET=@OVERRIDE_MACOSX_DEPLOYMENT_TARGET@
1287
1288installcheck-local:
1289	$(MAKE) check AM_LOG_FLAGS=
1290
1291# Remove the .la file - xapian.la is never linked against (it's a module)
1292# and PHP doesn't use libltdl.  Note that the library gets installed by
1293# install-data, so that's where we need to hook.
1294install-data-hook:
1295	rm -f $(DESTDIR)$(phpextdir)/xapian.la
1296
1297# Because we don't install the .la file, "make uninstall" doesn't work and
1298# we need to remove the file ourselves.
1299uninstall-local:
1300	eval `grep '^dlname=' $(phpext_LTLIBRARIES)` ; \
1301	  rm -f $(DESTDIR)$(phpextdir)/"$$dlname"
1302@MAINTAINER_MODE_TRUE@except.i: $(srcdir)/generate-php-exceptions ../../xapian-core/exception_data.pm
1303@MAINTAINER_MODE_TRUE@	$(PERL) -w -I$(srcdir)/../../xapian-core $(srcdir)/generate-php-exceptions
1304
1305@MAINTAINER_MODE_TRUE@php5/xapian_wrap.cc php5/xapian_wrap.h php5/php_xapian.h php5/xapian.php: $(stamp)
1306@MAINTAINER_MODE_TRUE@	$(make_many_locked)
1307@MAINTAINER_MODE_TRUE@$(stamp): except.i add-php-ref-handling add-php-type-hints
1308@MAINTAINER_MODE_TRUE@	$(MKDIR_P) php5
1309@MAINTAINER_MODE_TRUE@	$(multitarget_begin)
1310@MAINTAINER_MODE_TRUE@	$(RUN_SWIG) $(SWIG_WERROR) -I'$(srcdir)' $(SWIG_FLAGS) -c++ \
1311@MAINTAINER_MODE_TRUE@	    -php5 -prefix Xapian -outdir php5 \
1312@MAINTAINER_MODE_TRUE@	    -o php5/xapian_wrap.cc '$(srcdir)/'php.i
1313@MAINTAINER_MODE_TRUE@	$(PERL) '$(srcdir)/'add-php-ref-handling php5/xapian.php | \
1314@MAINTAINER_MODE_TRUE@	    $(PERL) '$(srcdir)/'add-php-type-hints > php5/xapian.tmp
1315@MAINTAINER_MODE_TRUE@	mv php5/xapian.tmp php5/xapian.php
1316@MAINTAINER_MODE_TRUE@	$(multitarget_end)
1317
1318@MAINTAINER_MODE_TRUE@-include php5/xapian_wrap.d
1319
1320@DOCUMENTATION_RULES_TRUE@.rst.html:
1321@DOCUMENTATION_RULES_TRUE@	-case "$@" in */*) d=`echo "$@"|sed 's,/[^/]*$$,,'`; $(MKDIR_P) "$$d" ;; esac
1322@DOCUMENTATION_RULES_TRUE@	$(RST2HTML) --exit-status=warning $< $@
1323
1324# Tell versions [3.59,3.63) of GNU make to not export all variables.
1325# Otherwise a system limit (for SysV at least) may be exceeded.
1326.NOEXPORT:
1327